inmidas(1)

NAME
inmidas - MIDAS start-up procedure for users.

SYNOPSIS
inmidas [ unit ] [ -h midashome ] [ -r midvers ]
[ -d display ] [ -m mid_work ] [ -p/-P/-nop ] [ -noh ]
[ -j midas-command-line ] [ -help ]

DESCRIPTION
inmidas starts a new MIDAS session.

Without arguments, inmidas initiates a MIDAS session with default definitions. Some of these definitions can be modified with arguments in the command line of inmidas or by environment variables. Arguments in the command line are taken with preference to environment variables.

OPTIONS
inmidas has been configured by the operator at installation time to start a release of MIDAS located in $MIDASHOME0/$MIDVERS0 (defined internally in the script). However alternative releases can be specified using the:

-h midashome
    Home directory for MIDAS. Absolute pathname containing, at least, one release of MIDAS. It may also contain subdirectories for demo and calibration data.

-r midvers
    Release of MIDAS to be executed. It must be a subdirectory under midashome.

-d display
    Specifies another X server for the display and graphical MIDAS windows ( NOTE: be aware of allowed access to a remote X server using the xhost(1) command.)

-p/-P/-nop
    Options -p and -P set the MIDAS environment variable MIDOPTION to PARALLEL while option -nop sets it to NOPARALLEL (default: NOPARALLEL). In NOPARALLEL mode all intermediate MIDAS working files in the MIDAS startup directory are deleted when starting MIDAS via inmidas. In PARALLEL mode no intermediate files are deleted, and this is necessary to run several MIDAS sessions with the same startup directory. With -P option and if not unit is given the system will select automatically one free unit for you. With -p option and no unit , the user will be requested to enter one.

unit
    Unit to be associated to the MIDAS session (default: 00 only if MIDAS is working in NOPARALLEL mode). Valid values for this option are in the range (00, 01, ..., 99, xa, ..., zz) where numerical values indicates that the user is working on a X11 environment (DISPLAY environment or argument -d should be given), and the rest indicates an ASCII or graphical terminals others than X11.

-m mid_work
    Specifies the MIDAS startup directory (default: $HOME/midwork). MIDAS will create this directory if it does not exist and writes in there temporary files used by MIDAS (e.g.: FORGRnn.LOG that logs the MIDAS session). It is also the directory for automatic start procedures like the "login.prg" file and for the "devices.sh" file containing particular MIDAS device-names defined by users. At the end of the MIDAS session inmidas will saved the MIDAS session in a hidden file located in this directory. This file will be then used later by the gomidas command to resume this MIDAS session where it exited.

-noh
    Starts MIDAS without clearing the terminal and without any welcome message.

-j midas command line
    midas-command-line will be executed in MIDAS as if it were the first command line typed in the MIDAS monitor. This option sets also -noh option. NOTE: midas-command-line should be typed between single quotes to be interpreted by inmidas as a single argument and to be passed to the MIDAS monitor as it is.

-help
    Display a brief description of all options and exits quietly.

ENVIRONMENT
inmidas can also use the following definitions in the environment with the same performance as previous described arguments.
NOTE: Arguments in the inmidas command line are taken with preference to environment variables.

MIDASHOME
    Home directory for MIDAS.

MIDVERS
    Release of MIDAS.

DISPLAY
    X server for the display and graphical MIDAS windows.

MIDOPTION
    Set to PARALLEL or NOPARALLEL.

MID_WORK
    Startup directory for MIDAS.

SEE ALSO
gomidas(1)